Foreman - Bug #6482

Engine Models are Duplicated in Permssions Resources
07/03/2014 07:33 AM - Stephen Benjamin

Status: Rejected

Priority: Normal

Assignee: Stephen Benjamin

Category: Users, Roles and Permissions

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:

Pull request:

Description

For Katello, the Permissions model ends up doubling the list of models, one with single quotes, one without. This ends up showing in
the filter list twice -- with the humanized name, and without.

e.g.:

1.9.3-p448 :015 > Permission.unig.order (:resource_type) .pluck (:resource_type) .compact
SQL (2.1lms) SELECT DISTINCT "permissions"."resource_type" FROM "permissions" ORDER BY resource_

type

=> ["Architecture", "Audit", "AuthSourceldap", "Bookmark", "CommonParameter", "ComputeProfile", "
ComputeResource", "ConfigTemplate", "Domain", "Environment", "FactValue", "Filter", "Host", "HostC
lass", "Hostgroup", "Image", "'Katello::ActivationKey'", "Katello::ActivationKey", "'Katello::Cont
entView'", "Katello::ContentView", "'Katello::GpgKey'", "Katello::GpgKey", "'Katello::HostCollecti
on'", "Katello::HostCollection", "'Katello::KTEnvironment'", "Katello::KTEnvironment", "'Katello::
Product'", "Katello::Product", "'Katello::SyncPlan'", "Katello::SyncPlan", "'Katello::System'", "K
atello::System", "Location", "LookupKey", "Medium", "Model", "Operatingsystem", "Organization", "'
Organization'", "Parameter", "Ptable", "Puppetclass", "Realm", "Report", "Role", "SmartProxy", "'S
martProxy'", "Subnet", "Trend", "User", "Usergroup"]

Katello is only sending one set of permissions so I'm not sure how this is getting doubled.

Related issues:
Related to Katello - Bug #6461: Invalid resource types show up in the permiss... Closed 07/01/2014

History

#1 - 07/03/2014 07:44 AM - Stephen Benjamin
PR https:/github.com/theforeman/foreman/pull/1557

Maybe there's a better fix to solve the deeper problem.

#2 - 07/03/2014 09:10 AM - Eric Helms

- Related to Bug #6461 Invalid resource types show up in the permission filters screen added

#3 - 07/07/2014 04:16 AM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee set to Stephen Benjamin

- Target version set to 1.8.1

#4 - 07/07/2014 07:26 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#5 - 07/10/2014 06:11 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1557

Not a bug in Foreman, it's on Katello side.

http://projects.theforeman.org/issues/6461

#6 - 07/10/2014 07:16 AM - Dominic Cleal
- Status changed from Closed to Rejected

- Target version deleted (1.8.0)
